Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:3.2.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 27785

Description

We have a project with 32 layers - each with anywhere from 800 - 3000 features in each layer.

We have 2 fields, an integer field and a geometry field that represents POLYGON and MULTIPOLYGON types.

If we try and export the CSV it exports just fine, however it is always in AS_XY format and regardless of what value we choose in that field

it remains so.

This ability to export these shapefiles to a CSV format is a killer feature for us as it means we can export entire large datasets for use in

Geospatial processing systems such as Presto and GeoSpark, I couldnt find any other tickets on this subject but I dont think what I am

doing is too far fetched?

Screenshots attached:

History

#1 - 2018-09-26 11:13 PM - Dan V

- Status changed from Open to Closed

Actually my bad - I think this is more to do with CRS than the export functionality - it's still very confusing!

#2 - 2018-09-27 09:28 AM - Giovanni Manghi

- Resolution set to invalid

Dan V wrote:

it's still very confusing!

Can you elaborate? is there something we can do better in this case?

#3 - 2018-09-27 07:12 PM - Dan V

Giovanni Manghi wrote:

Dan V wrote:
it's still very confusing!

Can you elaborate? is there something we can do better in this case?

I don't think so in this case, I think it is more my expectations of what WKT means vs the CRS - thanks :)
